New update.1 build 682

david at lang.hm david at lang.hm
Sun Jan 20 05:58:13 EST 2008


On Sun, 20 Jan 2008, Olly Betts wrote:

> <david at lang.hm> writes:
>> DatabaseVersionError: Flint version file
> /media/2FD2-5097/.olpc.store/index/iamflint is version
>> 200709120 but I only understand 200706140
>
> This will be because the Xapian package was accidentally updated to 1.0.4
> recently, then your database was updated with this version which automatically
> upgrades the format, then the Xapian package version was dropped back to 1.0.2,
> which now can't read the upgraded database.
>
> The easiest fix is probably to just rebuild the database.

yep, doing a rm -r of .olpc.store fixed the problem

David Lang

> Cheers,
>    Olly
>
> _______________________________________________
> Devel mailing list
> Devel at lists.laptop.org
> http://lists.laptop.org/listinfo/devel
>


More information about the Devel mailing list